Bug 64949 - glibc-common package ain't so big
glibc-common package ain't so big
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Brock Organ
http://groups.google.com/groups?selm=...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-14 19:53 EDT by Need Real Name
Modified: 2007-03-26 23:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-02 01:46:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-14 19:53:27 EDT
Description of Problem:
* The glibc-common RPM cleverly uses hard links and PartialHardlinkSets
* This makes the package installer wildly overstate the package size
* This will needlessly scare people with small disk drives
* It causes the "Time Remaining" values to too small


Version-Release number of selected component (if applicable):


How Reproducible:
* Install Red Hat Linux 7.3


Steps to Reproduce:
1. Install Red Hat Linux 7.3 ...
2. Select only English as the language
3. Watch the pretty "Installing Packages" display


Actual Results:
* It says glibc-common has a size of 182,860 KBytes


Expected Results:
* glibc-common should have a size of ~10,588 KBytes


Additional Information:
* How is package size calculated anyway?
* Even if it is too difficult to calculate the package size based on
  the selected languages, it should be possible to estimate it based
  on the number of languages.
Comment 1 Jeremy Katz 2002-07-02 01:46:18 EDT
We're just using the size tag in the packages
Comment 2 Jeff Johnson 2002-07-02 09:26:15 EDT
The package size is the sum of all
the file sizes, ignoring hardlinks.

The actual installed package size depends on
install parameters such as desired locales
and cannot be computed at build time.

Sure estimates are possible, the current estimate
of the installed package size is the sum of all
the file sizes, ignoring hardlinks :-)

Note You need to log in before you can comment on or make changes to this bug.